#
# spec file for package notification-daemon (Version 0.3.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv intltool iso-codes klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libpng libpng-devel libsexy libsexy-devel libstdc++ libstdc++-devel libtool libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           notification-daemon
BuildRequires:  gcc-c++ gconf2-devel intltool libsexy-devel libwnck-devel libxml2-devel perl-XML-Parser update-desktop-files
Version:        0.3.4
Release:        18.2
URL:            http://www.galago-project.org/
Group:          System/Daemons
License:        GPL
Summary:        Notification Daemon
Source:         %{name}-%{version}.tar.bz2
Patch:          notification-daemon-drawing.patch
Patch1:         notification-daemon-default-theme.patch
Patch2:         notification-daemon-icon-theme-fix.patch
Patch3:         notification-daemon-bubble-clicked.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
D-BUS notification daemon.



Authors:
--------
    Christian Hammond <chipx86@chipx86.com>

%debug_package
%prep
%setup
%patch
%patch1
%patch2
%patch3

%build
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# Set paths properly to be able to communicate with D-BUS.
./configure \
	--prefix=/opt/gnome \
	--libexecdir=/opt/gnome/lib/%{name}-1.0 \
	--sysconfdir=/etc/opt/gnome \
	--datadir=/usr/share
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/notification-daemon.schemas >/dev/null

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/etc/opt/gnome/gconf/schemas/*.schemas
/opt/gnome/lib/notification-daemon-*
/usr/share/dbus-1/services/*.service

%changelog -n notification-daemon
* Tue Mar 14 2006 - dobey@suse.de
- Add patch to fix default action clicking in notifications
* Mon Mar 06 2006 - dobey@suse.de
- Update drawing patch to fix colors
* Mon Feb 13 2006 - dobey@suse.de
- Update to version 0.3.4
- Remove upstreamed patch for unversioned plug-ins
- Add patch to fix usage of icon theme icons
- Many upstream bug fixes
- Add libwnck-devel to BuildRequires
* Thu Jan 26 2006 - dobey@suse.de
- Add patch to default to new drawing theme
- Add patch to remove libtool version on plug-ins
- Add intltool to BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - dobey@suse.de
- Update to version 0.3.2
- Add in patch for new drawing layout
* Sun Aug 07 2005 - aj@suse.de
- Fix 64-bit bug.
* Tue Aug 02 2005 - rodrigo@suse.de
- Updated to 0.2.1.
* Wed Jun 29 2005 - sbrabec@suse.cz
- New SuSE package, pre-0.0.1 version from actual svn snapshot.
